Update client
curl --request PATCH \
--url https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id} \
--header 'Content-Type: application/json' \
--data '
{
"external_reference": "CUST-0001",
"first_name": "John",
"last_name": "Doe",
"name": "Example Company S.A.",
"function": "Accountant",
"is_company": true,
"company_id": "<accounting-company-id>",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"email": "john.doe@example.com",
"language": "en",
"internal_notes": "Preferred contact: accounts payable team.",
"website": "https://www.example.com",
"vat": "BE0000000000",
"company_number": "0000000000",
"iban": "BE00000000000000",
"bank_account": "0000000000",
"currency": "EUR",
"active": true,
"addresses": []
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}"
payload = {
"external_reference": "CUST-0001",
"first_name": "John",
"last_name": "Doe",
"name": "Example Company S.A.",
"function": "Accountant",
"is_company": True,
"company_id": "<accounting-company-id>",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"email": "john.doe@example.com",
"language": "en",
"internal_notes": "Preferred contact: accounts payable team.",
"website": "https://www.example.com",
"vat": "BE0000000000",
"company_number": "0000000000",
"iban": "BE00000000000000",
"bank_account": "0000000000",
"currency": "EUR",
"active": True,
"addresses": []
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
external_reference: 'CUST-0001',
first_name: 'John',
last_name: 'Doe',
name: 'Example Company S.A.',
function: 'Accountant',
is_company: true,
company_id: '<accounting-company-id>',
phone: '+32 2 000 00 00',
mobile: '+32 4 000 00 00',
email: 'john.doe@example.com',
language: 'en',
internal_notes: 'Preferred contact: accounts payable team.',
website: 'https://www.example.com',
vat: 'BE0000000000',
company_number: '0000000000',
iban: 'BE00000000000000',
bank_account: '0000000000',
currency: 'EUR',
active: true,
addresses: []
})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'external_reference' => 'CUST-0001',
'first_name' => 'John',
'last_name' => 'Doe',
'name' => 'Example Company S.A.',
'function' => 'Accountant',
'is_company' => true,
'company_id' => '<accounting-company-id>',
'phone' => '+32 2 000 00 00',
'mobile' => '+32 4 000 00 00',
'email' => 'john.doe@example.com',
'language' => 'en',
'internal_notes' => 'Preferred contact: accounts payable team.',
'website' => 'https://www.example.com',
'vat' => 'BE0000000000',
'company_number' => '0000000000',
'iban' => 'BE00000000000000',
'bank_account' => '0000000000',
'currency' => 'EUR',
'active' => true,
'addresses' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}"
payload := strings.NewReader("{\n \"external_reference\": \"CUST-0001\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"name\": \"Example Company S.A.\",\n \"function\": \"Accountant\",\n \"is_company\": true,\n \"company_id\": \"<accounting-company-id>\",\n \"phone\": \"+32 2 000 00 00\",\n \"mobile\": \"+32 4 000 00 00\",\n \"email\": \"john.doe@example.com\",\n \"language\": \"en\",\n \"internal_notes\": \"Preferred contact: accounts payable team.\",\n \"website\": \"https://www.example.com\",\n \"vat\": \"BE0000000000\",\n \"company_number\": \"0000000000\",\n \"iban\": \"BE00000000000000\",\n \"bank_account\": \"0000000000\",\n \"currency\": \"EUR\",\n \"active\": true,\n \"addresses\": []\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}")
.header("Content-Type", "application/json")
.body("{\n \"external_reference\": \"CUST-0001\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"name\": \"Example Company S.A.\",\n \"function\": \"Accountant\",\n \"is_company\": true,\n \"company_id\": \"<accounting-company-id>\",\n \"phone\": \"+32 2 000 00 00\",\n \"mobile\": \"+32 4 000 00 00\",\n \"email\": \"john.doe@example.com\",\n \"language\": \"en\",\n \"internal_notes\": \"Preferred contact: accounts payable team.\",\n \"website\": \"https://www.example.com\",\n \"vat\": \"BE0000000000\",\n \"company_number\": \"0000000000\",\n \"iban\": \"BE00000000000000\",\n \"bank_account\": \"0000000000\",\n \"currency\": \"EUR\",\n \"active\": true,\n \"addresses\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"external_reference\": \"CUST-0001\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"name\": \"Example Company S.A.\",\n \"function\": \"Accountant\",\n \"is_company\": true,\n \"company_id\": \"<accounting-company-id>\",\n \"phone\": \"+32 2 000 00 00\",\n \"mobile\": \"+32 4 000 00 00\",\n \"email\": \"john.doe@example.com\",\n \"language\": \"en\",\n \"internal_notes\": \"Preferred contact: accounts payable team.\",\n \"website\": \"https://www.example.com\",\n \"vat\": \"BE0000000000\",\n \"company_number\": \"0000000000\",\n \"iban\": \"BE00000000000000\",\n \"bank_account\": \"0000000000\",\n \"currency\": \"EUR\",\n \"active\": true,\n \"addresses\": []\n}"
response = http.request(request)
puts response.read_body{
"external_reference": "CUST-0001",
"first_name": "John",
"last_name": "Doe",
"name": "Example Company S.A.",
"function": "Accountant",
"is_company": true,
"company_id": "<accounting-company-id>",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"email": "john.doe@example.com",
"language": "en",
"internal_notes": "Preferred contact: accounts payable team.",
"website": "https://www.example.com",
"vat": "BE0000000000",
"company_number": "0000000000",
"iban": "BE00000000000000",
"bank_account": "0000000000",
"currency": "EUR",
"active": true,
"account_number": "<accounting-account-number>",
"id": "<this-client-id>",
"last_updated_on": "2026-01-15T10:30:00Z",
"addresses": [],
"third_party_account": "<string>",
"bank_accounts": [
{
"is_primary": true,
"currency": "<string>",
"iban": "<string>",
"bic_swift": "<string>",
"account_number": "<string>",
"routing_code": {
"type": "unknown",
"value": "<string>"
}
}
]
}Clients
Update client
Endpoint that gives the possibility to update an accounting client
PATCH
/
consumers
/
{consumer_id}
/
accounting
/
clients
/
{client_id}
Update client
curl --request PATCH \
--url https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id} \
--header 'Content-Type: application/json' \
--data '
{
"external_reference": "CUST-0001",
"first_name": "John",
"last_name": "Doe",
"name": "Example Company S.A.",
"function": "Accountant",
"is_company": true,
"company_id": "<accounting-company-id>",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"email": "john.doe@example.com",
"language": "en",
"internal_notes": "Preferred contact: accounts payable team.",
"website": "https://www.example.com",
"vat": "BE0000000000",
"company_number": "0000000000",
"iban": "BE00000000000000",
"bank_account": "0000000000",
"currency": "EUR",
"active": true,
"addresses": []
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}"
payload = {
"external_reference": "CUST-0001",
"first_name": "John",
"last_name": "Doe",
"name": "Example Company S.A.",
"function": "Accountant",
"is_company": True,
"company_id": "<accounting-company-id>",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"email": "john.doe@example.com",
"language": "en",
"internal_notes": "Preferred contact: accounts payable team.",
"website": "https://www.example.com",
"vat": "BE0000000000",
"company_number": "0000000000",
"iban": "BE00000000000000",
"bank_account": "0000000000",
"currency": "EUR",
"active": True,
"addresses": []
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
external_reference: 'CUST-0001',
first_name: 'John',
last_name: 'Doe',
name: 'Example Company S.A.',
function: 'Accountant',
is_company: true,
company_id: '<accounting-company-id>',
phone: '+32 2 000 00 00',
mobile: '+32 4 000 00 00',
email: 'john.doe@example.com',
language: 'en',
internal_notes: 'Preferred contact: accounts payable team.',
website: 'https://www.example.com',
vat: 'BE0000000000',
company_number: '0000000000',
iban: 'BE00000000000000',
bank_account: '0000000000',
currency: 'EUR',
active: true,
addresses: []
})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'external_reference' => 'CUST-0001',
'first_name' => 'John',
'last_name' => 'Doe',
'name' => 'Example Company S.A.',
'function' => 'Accountant',
'is_company' => true,
'company_id' => '<accounting-company-id>',
'phone' => '+32 2 000 00 00',
'mobile' => '+32 4 000 00 00',
'email' => 'john.doe@example.com',
'language' => 'en',
'internal_notes' => 'Preferred contact: accounts payable team.',
'website' => 'https://www.example.com',
'vat' => 'BE0000000000',
'company_number' => '0000000000',
'iban' => 'BE00000000000000',
'bank_account' => '0000000000',
'currency' => 'EUR',
'active' => true,
'addresses' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}"
payload := strings.NewReader("{\n \"external_reference\": \"CUST-0001\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"name\": \"Example Company S.A.\",\n \"function\": \"Accountant\",\n \"is_company\": true,\n \"company_id\": \"<accounting-company-id>\",\n \"phone\": \"+32 2 000 00 00\",\n \"mobile\": \"+32 4 000 00 00\",\n \"email\": \"john.doe@example.com\",\n \"language\": \"en\",\n \"internal_notes\": \"Preferred contact: accounts payable team.\",\n \"website\": \"https://www.example.com\",\n \"vat\": \"BE0000000000\",\n \"company_number\": \"0000000000\",\n \"iban\": \"BE00000000000000\",\n \"bank_account\": \"0000000000\",\n \"currency\": \"EUR\",\n \"active\": true,\n \"addresses\": []\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}")
.header("Content-Type", "application/json")
.body("{\n \"external_reference\": \"CUST-0001\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"name\": \"Example Company S.A.\",\n \"function\": \"Accountant\",\n \"is_company\": true,\n \"company_id\": \"<accounting-company-id>\",\n \"phone\": \"+32 2 000 00 00\",\n \"mobile\": \"+32 4 000 00 00\",\n \"email\": \"john.doe@example.com\",\n \"language\": \"en\",\n \"internal_notes\": \"Preferred contact: accounts payable team.\",\n \"website\": \"https://www.example.com\",\n \"vat\": \"BE0000000000\",\n \"company_number\": \"0000000000\",\n \"iban\": \"BE00000000000000\",\n \"bank_account\": \"0000000000\",\n \"currency\": \"EUR\",\n \"active\": true,\n \"addresses\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/accounting/clients/{client_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"external_reference\": \"CUST-0001\",\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"name\": \"Example Company S.A.\",\n \"function\": \"Accountant\",\n \"is_company\": true,\n \"company_id\": \"<accounting-company-id>\",\n \"phone\": \"+32 2 000 00 00\",\n \"mobile\": \"+32 4 000 00 00\",\n \"email\": \"john.doe@example.com\",\n \"language\": \"en\",\n \"internal_notes\": \"Preferred contact: accounts payable team.\",\n \"website\": \"https://www.example.com\",\n \"vat\": \"BE0000000000\",\n \"company_number\": \"0000000000\",\n \"iban\": \"BE00000000000000\",\n \"bank_account\": \"0000000000\",\n \"currency\": \"EUR\",\n \"active\": true,\n \"addresses\": []\n}"
response = http.request(request)
puts response.read_body{
"external_reference": "CUST-0001",
"first_name": "John",
"last_name": "Doe",
"name": "Example Company S.A.",
"function": "Accountant",
"is_company": true,
"company_id": "<accounting-company-id>",
"phone": "+32 2 000 00 00",
"mobile": "+32 4 000 00 00",
"email": "john.doe@example.com",
"language": "en",
"internal_notes": "Preferred contact: accounts payable team.",
"website": "https://www.example.com",
"vat": "BE0000000000",
"company_number": "0000000000",
"iban": "BE00000000000000",
"bank_account": "0000000000",
"currency": "EUR",
"active": true,
"account_number": "<accounting-account-number>",
"id": "<this-client-id>",
"last_updated_on": "2026-01-15T10:30:00Z",
"addresses": [],
"third_party_account": "<string>",
"bank_accounts": [
{
"is_primary": true,
"currency": "<string>",
"iban": "<string>",
"bic_swift": "<string>",
"account_number": "<string>",
"routing_code": {
"type": "unknown",
"value": "<string>"
}
}
]
}Learn more:
- What are partners (clients, suppliers, employees)? ↗
Query Parameters
Body
application/json
Response
Successful Response